From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-955459-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id D08FD139694
	for <garchives@archives.gentoo.org>; Wed, 14 Jun 2017 18:48:57 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 2570821C012;
	Wed, 14 Jun 2017 18:48:57 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id EBFF521C012
	for <gentoo-commits@lists.gentoo.org>; Wed, 14 Jun 2017 18:48:56 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 984993418D9
	for <gentoo-commits@lists.gentoo.org>; Wed, 14 Jun 2017 18:48:55 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id F298424AF
	for <gentoo-commits@lists.gentoo.org>; Wed, 14 Jun 2017 18:48:53 +0000 (UTC)
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Patrice Clement" <monsieurp@gentoo.org>
Message-ID: <1497466130.f10ca957c4781f64d9b5a70eaee504703d2fc860.monsieurp@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/
X-VCS-Repository: repo/gentoo
X-VCS-Files: app-misc/tmux/tmux-2.5-r1.ebuild
X-VCS-Directories: app-misc/tmux/
X-VCS-Committer: monsieurp
X-VCS-Committer-Name: Patrice Clement
X-VCS-Revision: f10ca957c4781f64d9b5a70eaee504703d2fc860
X-VCS-Branch: master
Date: Wed, 14 Jun 2017 18:48:53 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: ba3bc53f-7a0a-44b4-8999-6f8189c02128
X-Archives-Hash: e8e5500017c45887a51fae0605692b78

commit:     f10ca957c4781f64d9b5a70eaee504703d2fc860
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 14 09:34:41 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jun 14 18:48:50 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f10ca957

app-misc/tmux: clean up dependencies and improve overall ebuild's quality.

Package-Manager: Portage-2.3.5, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/4927

 app-misc/tmux/tmux-2.5-r1.ebuild | 91 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 91 insertions(+)

diff --git a/app-misc/tmux/tmux-2.5-r1.ebuild b/app-misc/tmux/tmux-2.5-r1.ebuild
new file mode 100644
index 00000000000..41a77598164
--- /dev/null
+++ b/app-misc/tmux/tmux-2.5-r1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic versionator
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV/_*}/${P/_/-}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
+
+CDEPEND="
+	dev-libs/libevent:0=
+	sys-libs/ncurses:0=
+	utempter? (
+		kernel_linux? ( sys-libs/libutempter )
+		kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
+	)"
+
+DEPEND="
+	${CDEPEND}
+	virtual/pkgconfig"
+
+RDEPEND="
+	${CDEPEND}
+	selinux? ( sec-policy/selinux-screen )
+	vim-syntax? (
+		|| (
+			app-editors/vim
+			app-editors/gvim
+		)
+	)"
+
+DOCS=( CHANGES FAQ README TODO example_tmux.conf )
+
+PATCHES=(
+	# usptream fixes (can be removed with next version bump)
+	"${FILESDIR}/${PN}-2.4-flags.patch"
+)
+
+S="${WORKDIR}/${P/_/-}"
+
+src_prepare() {
+	# bug 438558
+	# 1.7 segfaults when entering copy mode if compiled with -Os
+	replace-flags -Os -O2
+
+	# regenerate aclocal.m4 to support earlier automake versions
+	rm -v aclocal.m4 || die
+
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local myeconfargs=(
+		--sysconfdir="${EPREFIX}"/etc
+		$(use_enable debug)
+		$(use_enable utempter)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	if use vim-syntax; then
+		insinto /usr/share/vim/vimfiles/ftdetect
+		doins "${FILESDIR}"/tmux.vim
+	fi
+}
+
+pkg_postinst() {
+	if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+		echo
+		ewarn "Some configuration options changed in this release."
+		ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+		ewarn
+		ewarn "WARNING: After updating to ${P} you will _not_ be able to connect to any"
+		ewarn "older, running tmux server instances. You'll have to use an existing client to"
+		ewarn "end your old sessions or kill the old server instances. Otherwise you'll have"
+		ewarn "to temporarily downgrade to access them."
+		echo
+	fi
+}